IStorage represents a storage backend - either a local cache, or a db that stays around between sessions.

### Hierarchy

- IStorage

### Implemented by

- LocalCache

## Index

### Methods

- get
- set

## Methods

### get

- get(key: string): Promise<Buffer | undefined>

- - Defined in src/byzcoin/byzcoin-rpc.ts:699

  #### Parameters

  - ##### key: string

  #### Returns Promise<Buffer | undefined>

### set

- set(key: string, value: Buffer): Promise<void>

- - Defined in src/byzcoin/byzcoin-rpc.ts:701

  #### Parameters

  - ##### key: string

  - ##### value: Buffer

  #### Returns Promise<void>

Generated using TypeDoc